Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlMessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessageRendererBase

Direct Known Subclasses:
  HtmlMessagesRendererBase

    public abstract class HtmlMessageRendererBase

extends HtmlRenderer

Version:
  $Revision: 472618 $ $Date: 2006-11-08 21:06:54 +0100 (Mi, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`HtmlMessageRendererBase()`

Method Summary
`protected abstract java.lang.String` | `getDetail(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String msgClientId)`
`protected java.lang.String` | `getFor(javax.faces.component.UIComponent component)`
`static java.lang.String[]` | `getStyleAndStyleClass(javax.faces.component.UIComponent message, javax.faces.application.FacesMessage.Severity severity)`
`protected abstract java.lang.String` | `getSummary(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String msgClientId)`
`protected java.lang.String` | `getTitle(javax.faces.component.UIComponent component)`
`protected boolean` | `isShowDetail(javax.faces.component.UIComponent component)`
`protected boolean` | `isShowSummary(javax.faces.component.UIComponent component)`
`protected boolean` | `isTooltip(javax.faces.component.UIComponent component)`
`protected void` | `renderMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message)`
`protected void` | `renderMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, boolean alwaysRenderSpan)`
`protected void` | `renderSingleFacesMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String messageClientId)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageRendererBase

    public HtmlMessageRendererBase()

Method Detail

### getSummary

    protected abstract java.lang.String getSummary(javax.faces.context.FacesContext facesContext,
                                                   javax.faces.component.UIComponent message,
                                                   javax.faces.application.FacesMessage facesMessage,
                                                   java.lang.String msgClientId)

### getDetail

    protected abstract java.lang.String getDetail(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent message,
                                                  javax.faces.application.FacesMessage facesMessage,
                                                  java.lang.String msgClientId)

### renderMessage

    protected void renderMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent message)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderMessage

    protected void renderMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent message,
                                 boolean alwaysRenderSpan)
                          throws java.io.IOException

  Parameters:
    `facesContext` -
    `message` -
    `alwaysRenderSpan` - if true will render a span even if there is no message
  Throws:
    `java.io.IOException`

### renderSingleFacesMessage

    protected void renderSingleFacesMessage(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent message,
                                            javax.faces.application.FacesMessage facesMessage,
                                            java.lang.String messageClientId)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyleAndStyleClass

    public static java.lang.String[] getStyleAndStyleClass(javax.faces.component.UIComponent message,
                                                           javax.faces.application.FacesMessage.Severity severity)

### getFor

    protected java.lang.String getFor(javax.faces.component.UIComponent component)

### getTitle

    protected java.lang.String getTitle(javax.faces.component.UIComponent component)

### isTooltip

    protected boolean isTooltip(javax.faces.component.UIComponent component)

### isShowSummary

    protected boolean isShowSummary(javax.faces.component.UIComponent component)

### isShowDetail

    protected boolean isShowDetail(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.